From: "Dirkjan Ochtman" <djc@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/rply/
Date: Sun, 11 Oct 2015 09:06:51 +0000 (UTC) [thread overview]
Message-ID: <1444554347.357ab6dc3372f7c12659966a30cf118a31897e43.djc@gentoo> (raw)
commit: 357ab6dc3372f7c12659966a30cf118a31897e43
Author: Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 09:05:47 2015 +0000
Commit: Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 09:05:47 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=357ab6dc
dev-python/rply: version bump to 0.7.4
Package-Manager: portage-2.2.20.1
dev-python/rply/Manifest | 1 +
dev-python/rply/rply-0.7.4.ebuild | 37 +++++++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/rply/Manifest b/dev-python/rply/Manifest
index 66cd92c..d10c4ea 100644
--- a/dev-python/rply/Manifest
+++ b/dev-python/rply/Manifest
@@ -1 +1,2 @@
DIST rply-0.7.3.tar.gz 27346 SHA256 708f94da2cf5df72b0d0fe73a44a6f2310dd74004b0e7ef6bf812f941dac582a SHA512 45f8b2b9fb84940c1149b43ffda070d7ded47a5b8d8e86cf030603cb0fae78df954e629d9e6722e8f4d5ff2a7a2d516a92cf320d438cb6b1595d110e06dfc351 WHIRLPOOL b1c55fc76f0f6c7afae5dbce336a6a7510ed38ecd3c81ab22f19d9657c9f3547c8297028c35a60931db0197fdc0fee7cb1e7c50bad6769bba413247d759508da
+DIST rply-0.7.4.tar.gz 27392 SHA256 5fe9fc7c24dc3cfcaf443ef84fddcf420132746e64eced79b6735e7927e80329 SHA512 e3c3a828eb4b3cb20751ecb2d91efaabddbe3702d52b9adefe1748c07c843da1899e3944bcf0ab79f627ae428b8879cf99739ea7e0c6fd1acffc4ac4dee1b652 WHIRLPOOL 5d1cf3abf224a03a6210254577f388367b41c645fe4464e27e6c3537f933c79d6d004c33765c76a307973b5afde8954266da6d9bb6e850e841b9a987cc7f2e6c
diff --git a/dev-python/rply/rply-0.7.4.ebuild b/dev-python/rply/rply-0.7.4.ebuild
new file mode 100644
index 0000000..0d09e28
--- /dev/null
+++ b/dev-python/rply/rply-0.7.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure python parser generator that also works with RPython"
+HOMEPAGE="https://github.com/alex/rply"
+SRC_URI="https://github.com/alex/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/py[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare() {
+ # https://github.com/alex/rply/issues/26; fail under py[3-4]
+ if python_is_python3; then
+ sed -e s':test_simple:_&:' -e s':test_empty_production:_&:' \
+ -i tests/test_parsergenerator.py
+ fi
+ distutils-r1_python_prepare
+}
+
+python_test() {
+ py.test || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2015-10-11 9:06 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-11 9:06 Dirkjan Ochtman [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-11-01 16:06 [gentoo-commits] repo/gentoo:master commit in: dev-python/rply/ Mikle Kolyada
2016-01-01 11:32 Patrick Lauer
2017-01-18 16:52 Agostino Sarubbo
2017-01-19 10:59 Agostino Sarubbo
2017-05-02 14:02 Michał Górny
2018-02-23 6:51 Patrick Lauer
2018-05-25 23:58 Thomas Deutschmann
2018-05-27 20:16 Mikle Kolyada
2018-06-26 18:09 Pacho Ramos
2018-06-28 12:20 Alexey Shvetsov
2018-06-28 14:54 Alexey Shvetsov
2019-09-03 12:40 Michał Górny
2019-09-03 12:40 Michał Górny
2019-09-03 12:40 Michał Górny
2020-02-06 5:59 Michał Górny
2020-02-11 19:43 Agostino Sarubbo
2020-02-11 19:50 Agostino Sarubbo
2020-03-29 7:31 Michał Górny
2020-09-27 14:11 Michał Górny
2021-01-28 8:35 Michał Górny
2021-03-02 1:01 Michał Górny
2021-03-02 7:39 Sam James
2021-03-02 9:06 Michał Górny
2021-05-23 9:29 Michał Górny
2021-05-23 9:29 Michał Górny
2023-02-16 18:19 Michał Górny
2023-03-19 18:52 Arthur Zamarin
2023-03-20 5:36 Michał Górny
2023-06-01 15:03 Michał Górny
2023-11-23 16:49 Arthur Zamarin
2023-11-24 15:29 Michał Górny
2024-06-30 17:00 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1444554347.357ab6dc3372f7c12659966a30cf118a31897e43.djc@gentoo \
--to=djc@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox